/scim/v2/ResourceTypesAuthorization
Descope Project ID:Access Key Project ID:Access Key as bearer token.
In: header
Load SCIM resource types, using a valid access key.
This API endpoint allows administrators to load the resource types available within the SCIM provisioning. The response includes an array of the available resource types.
It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action.
See also
- See SCIM Management for further details on managing SCIM provisioning.
curl -X GET "https://api.descope.com/scim/v2/ResourceTypes"{ "values": [ { "schemas": [ "string" ], "id": "string", "name": "string", "description": "string", "endpoint": "string", "schema": "string" } ]}export interface Response {values?: ResourceType[]}export interface ResourceType {schemas?: string[]id?: stringname?: stringdescription?: stringendpoint?: stringschema?: string}Delete SCIM User DELETE
### Delete an existing SCIM User, using a valid access key. This API endpoint allows administrators to delete an existing SCIM user from the Descope tenant. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action. ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.
Load SCIM Service Provider Config GET
### Load the supported SCIM provisioning service provider configuration, using a valid access key. This API endpoint allows administrators to load the supported SCIM provisioning service provider configuration. The response includes detailed information on the applicable configurations and schemas within your IdP for SCIM provisioning. It is important to note the bearer token for SCIM API endpoints. The format is `ProjectId:AccessKey` the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action. ### See also - See [SCIM Management](/scim) for further details on managing SCIM provisioning.